using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class CursorController : MonoBehaviour
{
	void Start()
	{
		LockCursor();
	}
	
	void Update()
	{
        transform.position -= new Vector3(Input.cursorDirection.x / 40, Input.cursorDirection.y / 40, 0);
		if (Input.GetKeyDown(ScanCode.L))
		{
			LockCursor();
		}
		transform.position = new Vector3(Mathf.Clamp(transform.position.x, -13, 13), Mathf.Clamp(transform.position.y, 0, 10), transform.position.z);
    }

	public void LockCursor()
	{
		Cursor.locked = !Cursor.locked;
		Cursor.visible = !Cursor.visible;
	}
}
